local buildForArch(arch) = {
    "name": "check-"+arch,
    "image": "rust:1.62",
    "commands": [
        "echo Hello World from Jsonnet on " + arch + "!",
        "cargo check",
    ]
};
{
    "kind": "pipeline",
    "type": "docker",
    "name": "default",
    "platform": {
        "arch": "amd64"
    },
    "steps": [
        buildForArch('amd64'),
        buildForArch('aarch64'),
        buildForArch('windows'),
    ]
}